Voxengo product updates

Voxengo has released updates for Elephant, GlissEQ, Voxformer, Span and OldSkoolVerb.

Update versions:
– Elephant v2.6
– GlissEQ v2.9
– Voxformer v1.8
– Span v1.9
– OldSkoolVerb v1.4

– for all versions: Access violation error on systems with >2GB memory solved
– for GlissEQ: Spectrum analyzer now shows input signal analysis when in Bypass mode.
– for Voxformer: Extreme level pop fixed that could appear with the enhancer module enabled.


Post Your Thoughts